{% load static %}
<!DOCTYPE html>
<html>

<head>
  <!-- Basic -->
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <!-- Mobile Metas -->
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <!-- Site Metas -->
  <meta name="keywords" content="" />
  <meta name="description" content="" />
  <meta name="author" content="" />
  <link rel="shortcut icon" href="{% static 'images/favicon.png' %}" type="image/x-icon">
  <title>History</title>

  <!-- bootstrap core css -->
  <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}" />
  <!--owl slider stylesheet -->
  <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css" />
  <!-- font awesome style -->
  <link href="{% static 'css/font-awesome.min.css' %}" rel="stylesheet" />

  <!-- Custom styles for this template -->
  <link href="{% static 'css/style.css' %}" rel="stylesheet" />
  <!-- responsive style -->
  <link href="{% static 'css/responsive.css' %}" rel="stylesheet" />
 
</head>

<body class="sub_page">
  <div class="hero_area">
    <!-- header section strats -->
    <header class="header_section">
      <div class="container">
        <nav class="navbar navbar-expand-lg custom_nav-container ">
          <a class="navbar-brand " href="index.html">Apple Detection</a>

          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class=""> </span>
          </button>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav">
              <li class="nav-item ">
                <a class="nav-link" href="{% url 'index' %}">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item active">
                <a class="nav-link" href="{% url 'about' %}">About</a>
              </li>
              <li class="nav-item active">
                <a class="nav-link" href="">History</a>
              </li>
             
            </ul>
          </div>
        </nav>
      </div>
    </header>
    <!-- end header section -->
  </div>

  <!-- about section -->

  <section class="about_section layout_padding">
    <div class="container">
      <div class="detail-box">
        <table id="tableid" border="1" class="table">
          <thead>
              <tr>
              <th>Serial Number</th>
              <th>Date & Time</th>
              <th>Results</th>
              </tr>
          </thead>
          <tbody>
              {% for item in items %}
              <tr>
              <td>{{ item.serial_number }}</td>
              <td>{{ item.date_time }}</td>
              <td>{{ item.results }}</td>            
              </tr>
              {% endfor %}
          </tbody>
     </table>
     <br>
     
      <form action="{% url 'clear_history' %}">
        <button class="btn btn-outline-success"><b><i class="fa fa-history" aria-hidden="true"></i>&nbsp;&nbsp;Clear History</b>
        </button>
      </form>
      <br>
      <button type="submit" id="downloadexcel" class="btn btn-outline-success"><b><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-download" viewBox="0 0 16 16">
        <path d="M.5 9.9a.5.5 0 0 1 .5.5v2.5a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1v-2.5a.5.5 0 0 1 1 0v2.5a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2v-2.5a.5.5 0 0 1 .5-.5z"/>
        <path d="M7.646 11.854a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 10.293V1.5a.5.5 0 0 0-1 0v8.793L5.354 8.146a.5.5 0 1 0-.708.708l3 3z"/>
      </svg>&nbsp;&nbsp;Download</b></button>
      <script src ="{% static 'js/table2excel.js' %}"></script>

      <script>
          document.getElementById('downloadexcel').addEventListener('click', function(){
              var table2excel = new Table2Excel();
              table2excel.export(document.querySelectorAll("#tableid"));
          });
      </script>

      </div>
    </div>
  </section>

  <!-- end about section -->
  <!-- info section -->
  <section class="info_section ">
    <div class="info_container ">
      <div class="container">
        <div class="row">
          <div class="col-md-8 col-lg-4">
            <img src="{% static 'images/logo.png' %}" alt="234" style="width: 90%; height:20px;display: inline-block;height: 70%;vertical-align: middle;">
          </div>
          <div class="col-md-8 col-lg-4" style="left:7%">
            <h6>
              CONTACT US
            </h6>
            <div class="info_link-box">
              <a href="https://www.gcit.edu.bt/">
                <i class="fa fa-map-marker" aria-hidden="true"></i>
                <span>Gyalpozhing College, Mongar</span>
              </a>
              <a href="https://mail.google.com/mail">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span> 12190058.gcit@rub.edu.bt</span>
              </a>
              <a href="https://mail.google.com/mail">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span> 12190061.gcit@rub.edu.bt</span>
              </a>
              <a href="https://mail.google.com/mail">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span> 12190068.gcit@rub.edu.bt</span>
              </a>
              <a href="https://mail.google.com/mail">
                <i class="fa fa-envelope" aria-hidden="true"></i>
                <span> 12190079.gcit@rub.edu.bt</span>
              </a>
            </div>
          </div>
          <div class="col-md-8 col-lg-4">
            <h6>SOCIAL LINKS</h6>
            <div class="social_container">
              <div class="social_box">
                <a href="https://www.facebook.com/">
                  <i class="fa fa-facebook" aria-hidden="true"></i>
                </a>
                <a href="https://twitter.com/">
                  <i class="fa fa-twitter" aria-hidden="true"></i>
                </a>
                <a href="https://www.instagram.com/?hl=en">
                  <i class="fa fa-instagram" aria-hidden="true"></i>
                </a>
              </div>
            </div>
          </div>
          
        </div>
      </div>
    </div>
  </section>
  <!-- end info section -->

  <!-- footer section -->
  <footer class=" footer_section">
    <div class="container">
      <p>
        &copy; 2022 All Rights Reserved
      </p>
    </div>
  </footer>
  <!-- footer section -->

  <!-- jQery -->
  <script src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
  <!-- popper js -->
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
</body>

</html>